Priority: Normal

Category:

Customer: ACADEMIC Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-9544

Department: LONDON Affected Products: ADTF 3.3.1

Requester's Priority: Normal Platform: Other Linux 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: Not Supported Scope FAQ Links:

Description

Supportanfrage:

Hi,

The default layout of the configuration editor is locked in place, where | am unable to change the size of the different views, namely
the graph view is abnormally small compared to the validation view and system view (see attached screenshot). | have tried sliding
the boarders, but | could only make the validation view and system view even larger, and make the graph view even smaller. The
project was created from the default project files. | am wondering is this related to my system setup or that there is a config file that |
could edit.

System Info:

Screen: 14 inch generic monitor on Laptop
Resolution: 1920x1080

On-board graphic card (Intel)

OS: Arch Linux

Kernel version: 4.17.3-1

Windows Manager: i3-gaps

Display Manager: LightDM

GTKS3 installed

Lésung:

The scaling of ADTF 3.3.1 can be bypassed by e.g. setting an environment variable in a console window and then starting
adtf_configuration_editor executable of ATDF 3.3.1 from the same window.

e.g. Linux Terminal command:
export QT_SCALE_FACTOR=1.0

Related issues:
Related to Public Support - Support Request #4527: ADTF not working properly ... Closed

History

#1 - 2018-07-09 08:48 - hidden

- Project changed from Public Support to 25
- Status changed from New to In Progress

- Topic set to ADTF::CE

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9544

#2 - 2018-07-09 10:19 - hidden

- Status changed from In Progress to Customer Feedback Required

Hello Lok Chun Fan,
this looks like a known problem we have found in the ADTF 3.3.1 version.

There is a problem if you change the scaling to more the 100% or use UHD monitors.
Please try to change the the scaling or reduce the scaling to 100% if it is higher than that.
Is the behavior on Ubuntu 16.04 different?

For your information:
The product issue is not view-able for external users.

#3 - 2018-07-09 18:02 - hidden

Hi Matthias,

Since we are not using FHD monitors on our Ubuntu machines, | am unable to test it. But they work fine on the Ubuntu Machines.
Do you mind showing me how to change the scaling?

#4 - 2018-07-10 10:27 - hidden

- File gnome-tweak-tool.png added

Hi Lok Chun Fan,

ADTF 3.3.1 is tested with Linux Ubuntu 16.04. Not with Arch Linux.
Please have a look to our System Requirements

I can't tell you where you can change or check the scaling on your system or with the LightDM Display manager.
A colleague uses the Tweak Tool in Ubuntu 16.04.
Please see the screenshot.
Please be aware that in general there is no support for ACADEMIC usage.

#5 - 2018-07-12 14:10 - hidden
https://support.digitalwerk.net/adtf/v3/adtf_html/page_delivery.html#section_delivery_system_requirements

Hello Lok Chun Fan,

We would like to close this ticket.
Did that information help you with your problem?

PLease give us Fedback until 16.07.2018,
otherwise we will close this ticket.

Please be aware that in general there is no support for ACADEMIC usage.

Best regards,
Michael

#6 - 2018-07-13 08:00 - hidden

Hi,

Unfortunately, the problem was not fixed by setting a lower scale. The scaling factor was already on 1 when | started the configuration editor. | have
tried to set a lower scaling factor (0.8x) but it kept throwing back floating point exception. | suppose the software isn't meant to be ran on lower dpi
screens (157 dpi)?

| note that there is not support given for academic use, so thank you very much for the help.

Best,

Lok Chun Fan

#7 - 2018-07-13 09:05 - hidden

Hello Lok Chun Fan,

please have a look at the following topic of our FAQ:

https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-The-ADTF-Configuration-Editor-starts-but-the-window-content-is-either-black-o
r-corrupted

and consider altering the environment variable as mentioned.
By the way, do you have a touch screen display in use with that machine?

Best regards,
Michael

#8 - 2018-07-13 10:00 - hidden
Hi Michael,

| have set that environmental variable. However, it is still giving me the same floating point exception when rendering the window. | do not have a
touch screen though.

Best,
Lok Chun Fan

#9 - 2018-07-13 10:28 - hidden

- Status changed from Customer Feedback Required to In Progress
#10 - 2018-07-13 11:40 - hidden
Hello Lok Chun Fan,

Thanks for your feedback.
As mentioned by my colleague we are aware of the scaling issues on High DPI displays and are currently working on a solution.

In the meantime, you may want to have a look at Qt's documentation regarding High DPI:
http://doc.qt.io/gt-5/highdpi.html

Specifically, you could try to set the environment variable QT_AUTO_SCREEN_SCALE_FACTOR=0 and see if it changes anything.

- Wolfgang

#12 - 2018-07-17 09:17 - hidden
Hello Lok Chun Fan,
did this information help you?

Please give us feedback until 18.07.2018,
otherwise the ticket will be closed.

Best regards,
Michael

#13 - 2018-07-17 11:15 - hidden

Hi,

| have tried to set that variable, but | am still getting the same layout problem. | suppose the configuration editor isn't able to downscale properly?
Best,

Lok Chun Fan

#14 - 2018-07-17 11:23 - hidden

Hello Lok Chun Fan,

did you try it the following way?

Setting the environment variable in a console window with Linux Terminal command:
export QT_AUTO_SCREEN_SCALE_FACTOR=0

and then starting adtf_configuration_editor executable of ATDF 3.3.1 from the same terminal window?

Best regards,
Michael

#15 - 2018-07-18 10:30 - hidden
Hi Michael,

Yes, | did follow the way you said using a bash script. However, | still ran into the same problem. | also got the QT_QUICK_BACKEND set to
software.

Best,

Lok Chun Fan

From: support@digitalwerk.net <support@digitalwerk.net>
Sent: Tuesday, July 17,2018 10:23:36 AM
Subject: [ACADEMIC Support - Support Request #3274] Configuration Editor Layout

#16 - 2018-07-19 09:05 - hidden

Hello Lok Chun Fan,

could you please try to play around wirth the following environment variable settings?
export QT_SCALE_FACTOR=1.0

export QT_SCALE_FACTOR=0.8

export QT_SCALE_FACTOR=0.5

Best regards,
Michael

#17 - 2018-07-19 14:00 - hidden
- File Lok Chun Fan_Transcript_Year1.pdf added
Hi Michael,

My license just expired, therefore, | am unable to test it out. However, | have tried these settings before, but it throws a floating point exception error
whenever the window starts.

Attached with this email is my transcript, would that be enough to prove that | am a student studying in Imperial College?

Best,

2024-04-27 4/5


mailto:support@digitalwerk.net
mailto:support@digitalwerk.net
https://support.digitalwerk.net/issues/3274

Lok Chun Fan

#18 - 2018-07-21 13:30 - hidden
Hi Michael,

| have tried the QT_SCALE_FACTOR method again, and it worked perfectly. However, it would throw floating point error whenever | plugged in an

external monitor with different resolution and dpi to my computer. | am not sure is this a problem of Qt or configuration_editor. Other than that,

configuration editor is now working fine on my computer. Thank you very much.

Best,
Lok Chun Fan

#19 - 2018-07-23 09:36 - hidden

- Subject changed from Configuration Editor Layout to Configuration Editor Layout Scaling
- Description updated

- Status changed from In Progress to To Be Closed

- Resolution changed from Known Problem to Workaround Available

Thank you for your feedback, we will close ths ticket now.
Have a nice day!

Best regards,
Michael

#20 - 2018-07-25 09:23 - hidden
- Project changed from 25 to Public Support
- Status changed from To Be Closed to Closed

- Resolution changed from Workaround Available to Not Supported Scope

#21 - 2018-09-11 17:07 - hidden

- Private changed from Yes to No

#22 - 2018-10-24 09:56 - hidden
- Related to Support Request #4527: ADTF not working properly on Windows 10 added
